Package: org.codehaus.groovy.classgen.asm

## [Java] Class LambdaWriter

- org.codehaus.groovy.classgen.asm.LambdaWriter

-     public class LambdaWriter
      extends ClosureWriter

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClosureWriter` | `OUTER_INSTANCE, THIS_OBJECT, controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LambdaWriter(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Parameter[]` | `getLambdaSharedVariables(LambdaExpression expression)`
    `` | `public void` | `writeLambda(LambdaExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClosureWriter` | `addConstructor, addFieldsForLocalVariables, addGeneratedClosureConstructorCall, addSerialVersionUIDField, createBlockStatementForConstructor, createClosureClass, getClosureSharedVariables, getOrAddClosureClass, loadReference, loadThis, removeInitialValues, writeClosure`

- - ### Constructor Detail

    - #### public LambdaWriter(WriterController controller)

  - ### Method Detail

    - #### protected Parameter[] getLambdaSharedVariables(LambdaExpression expression)

    - #### public void writeLambda(LambdaExpression expression)